Bug 443926 - (pyephem-review) Review Request: pyephem - The astronomy library for Python
Review Request: pyephem - The astronomy library for Python
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 443921
  Show dependency treegraph
 
Reported: 2008-04-24 02:59 EDT by Marek Mahut
Modified: 2014-07-20 10:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 01:55:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
mail from upstream (1.08 KB, text/plain)
2008-04-24 15:51 EDT, Marek Mahut
no flags Details

  None (edit)
Description Marek Mahut 2008-04-24 02:59:33 EDT
Spec URL: http://mmahut.fedorapeople.org/reviews/pyephem/pyephem.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/pyephem/pyephem-3.7.2.3-1.fc8.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=580211
Description: PyEphem provides scientific-grade astronomical
computations for the Python programming language.
Comment 1 Mamoru TASAKA 2008-04-24 04:50:37 EDT
Well...

* pyephem seems to be borrowing libastro codes from XEphem.

  From: http://rhodesmill.org/pyephem/
----------------------------------------------------------------------
You can learn more about and download the wonderful XEphem application
from which PyEphem derives its computation engine;
it has long been written and maintained by Elwood Charles Downey.
-----------------------------------------------------------------------
  I took the diff between xephem-3.7.3/libastro/ in
  http://www.clearskyinstitute.com/xephem/xephem-3.7.3.tar.gz and
  pyephem-3.7.2.3/libastro-3.7.2, and
  actually the diff is very small (i.e. codes are almost same)

* XEphem license is NO for Fedora:
  http://www.clearskyinstitute.com/xephem/download.html

Would you check if license of libastro part is really okay for
Fedora?
Comment 2 Marek Mahut 2008-04-24 15:17:56 EDT
I know about XEphem license, but this does not apply on libastro, quote from
COPYING (about libastro):

"You can redistribute and/or modify both works, as distributed in this
package, under the terms of the GNU Lesser General Public License
(LGPL) version 3..."

Same case with libpng, it's shipped as par of Xephem, but xephem is not the
upstream.

mailed upstream to get their opinion.
Comment 3 Marek Mahut 2008-04-24 15:51:28 EDT
Created attachment 303682 [details]
mail from upstream
Comment 4 Lubomir Kundrak 2008-04-24 16:08:49 EDT
0.) The use of env is kind of useless here.

env CFLAGS="$RPM_OPT_FLAGS" python setup.py build 
env CFLAGS="$RPM_OPT_FLAGS" python setup.py install --root=$RPM_BUILD_ROOT

1.) Requires:	python

This is useless as well. The dependency on python has to be versioned, as the
file names are versioned, and I believe the correct one is automatically
generated anyways.

2.) rpmlint outputs these:

pyephem.x86_64: E: non-executable-script
/usr/lib64/python2.5/site-packages/ephem/tests/test_usno.py 0644
pyephem.x86_64: E: non-executable-script
/usr/lib64/python2.5/site-packages/ephem/tests/test_dates.py 0644
pyephem.x86_64: E: non-executable-script
/usr/lib64/python2.5/site-packages/ephem/tests/test_usno_equinoxes.py 0644
pyephem.x86_64: E: non-executable-script
/usr/lib64/python2.5/site-packages/ephem/tests/ephem_test.py 0644
pyephem.x86_64: E: non-executable-script
/usr/lib64/python2.5/site-packages/ephem/tests/test_bodies.py 0644
pyephem.x86_64: E: non-executable-script
/usr/lib64/python2.5/site-packages/ephem/tests/test_rst.py 0644
pyephem.x86_64: E: non-executable-script
/usr/lib64/python2.5/site-packages/ephem/tests/test_angles.py 0644
pyephem.x86_64: E: non-executable-script
/usr/lib64/python2.5/site-packages/ephem/tests/test_constants.py 0644

Do you believe those should realy be installed? What making them executable and
utilizing the %test section then?
Comment 5 Marek Mahut 2008-04-24 16:55:57 EDT
Lubomir, thank you, you're right. All issues resolved in current version of spec
file.
Comment 6 Lubomir Kundrak 2008-04-24 16:59:07 EDT
Now this was fast. Not seeing anything that would violate the guidelines --

APPROVED

And thank you for the package.
Comment 7 Marek Mahut 2008-04-24 17:01:17 EDT
New Package CVS Request
=======================
Package Name: pyephem 
Short Description: The astronomy library for Python
Owners: mmahut
Branches: F-8, F-9 (does this exist yet?), EL-5
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-04-24 21:57:05 EDT
cvs done. 

(yes, F-9 is available now). 
Comment 9 Marek Mahut 2008-04-25 01:55:56 EDT
Thank you!
Comment 10 Kyle Lanclos 2014-07-20 10:37:14 EDT
pyephem is in EPEL 6 and current releases of Fedora, but is not yet in EPEL 7. Please consider this a package change request for the inclusion of pyephem in EPEL 7.

Note You need to log in before you can comment on or make changes to this bug.